Author Topic: 'Failed to fetch' Google Chrome [SOLVED]  (Read 40380 times)

0 Members and 1 Guest are viewing this topic.

Offline Screagle

  • Jr. Member
  • **
  • Posts: 38
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
'Failed to fetch' Google Chrome [SOLVED]
« on: March 07, 2016, 02:43:37 pm »
For the last few days I've been getting the following error message when I force refresh:

“Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release Unable to find expected entry ‘main/binary-i386/Packages’ in Release file (Wrong sources.list entry or malformed file)”

Now I've done some research and this error message is affecting both 32-bit and 64-bit distros even though it should only be for 32-bit.  So as I have an Acer ZG5 (Peppermint 6) which is 32-bit I'm correctly getting the error message - but I'd rather not.  Is this just a case of editing out  /etc/apt/sources.list.d/google-chrome.list or is there something more elegant and persistent I should try?  All views welcome!

I never use either Chrome or Chromium (which isn't listed anyway) on the ZG5.
« Last Edit: March 07, 2016, 07:15:39 pm by Screagle »
Peppermint Six Acer ZG5 1.5Gb RAM 64Gb SSD

Offline Mark Greaves (PCNetSpec)

  • Hero Member
  • *****
  • Posts: 18277
  • Karma: 479
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • Awards
Re: 'Failed to fetch' Google Chrome
« Reply #1 on: March 07, 2016, 04:58:12 pm »
If you never use chrome, remove it:
Code: [Select]
sudo apt-get remove --purge google-chrome-stable
then:
Code: [Select]
apt-get update
should be error free.

This is being caused by Google dropping support for 32bit Chrome and removing it from their repo .. they are aware of the problem being caused by their repo (which is also causing the same error message for 64bit users), heck I've even told them how to easily fix it, but so far they're choosing to do nothing, one of their devs suggesting as it doesn't stop system updates it's no big deal, then promptly making the bug private ::)

They seemed unconcerned that if apt reports an error in the packaging .. ITS AN ERROR, irrespective of whether it interferes with updates.

If you want to keep the old version of Chrome on a 32bit Ubuntu based distro, and fix the error:
Code: [Select]
sudo rm -v /etc/apt/sources.list.d/google-chrome.list
and
Code: [Select]
sudo rm -v /etc/apt/sources.list.d/google-chrome.list.save
and
Code: [Select]
/opt/google/chrome/cron/google-chrome
Chrome should still work, but won't recieve any updates .. not a problem since there won't be any updates for 32bit Chrome any more anyway.

BTW, don't worry if that second command fails saying the file doesn't exist .. just carry on with the third command, it's the first and third commands that are important.
« Last Edit: March 07, 2016, 05:01:47 pm by Mark Greaves (PCNetSpec) »
WARNING: You are logged into reality as 'root'
logging in as 'insane' is the only safe option.
pcnetspec.co.uk

The Linux Community Forum

Re: 'Failed to fetch' Google Chrome
« Reply #1 on: March 07, 2016, 04:58:12 pm »

Offline Screagle

  • Jr. Member
  • **
  • Posts: 38
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Re: 'Failed to fetch' Google Chrome
« Reply #2 on: March 07, 2016, 07:02:36 pm »
I went ahead and removed Chrome as well as menu item, tested and error free.  Thanks Mark!
« Last Edit: March 07, 2016, 07:15:54 pm by Screagle »
Peppermint Six Acer ZG5 1.5Gb RAM 64Gb SSD

Offline Mark Greaves (PCNetSpec)

  • Hero Member
  • *****
  • Posts: 18277
  • Karma: 479
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • Awards
Re: 'Failed to fetch' Google Chrome [SOLVED]
« Reply #3 on: March 07, 2016, 08:08:33 pm »
No worries my friend :)
WARNING: You are logged into reality as 'root'
logging in as 'insane' is the only safe option.
pcnetspec.co.uk

 


SimplePortal 2.3.3 © 2008-2010, SimplePortal